package com.logicbig.example;


import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import java.util.Date;

@Entity
public class Task {
    @EmbeddedId
    private CompositeTaskId taskId;
    private String taskName;
    private Date date;

    public Task() {
    }

    public Task(CompositeTaskId taskId) {
        this.taskId = taskId;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    @Override
    public String toString() {
        return "Task{" +
                "taskId=" + taskId +
                ", taskName='" + taskName + '\'' +
                ", date=" + date +
                '}';
    }
}